LOCALE::PO4A::DOCBOOK.3PM(1)

NAME
Locale::Po4a::Docbook - konvertiert DocBook-XML-Dokumente von/in PO-Dateien

BESCHREIBUNG
Das Projektziel von Po4a (PO für alles) ist es, die Übersetzung (und interessanter, die Wartung der Übersetzung) zu vereinfachen, indem die Gettext-Werkzeuge auch für Gebiete verwendet werden, wo diese nicht erwartet werden, wie Dokumentation.

Locale::Po4a::Docbook ist ein Modul, um Ihnen bei der Übersetzung von DocBook-XML-Dokumenten in andere [natürliche] Sprachen zu helfen.

STATUS DIESES MODULS
Dieses Modul ist voll funktional, da es vom Modul Locale::Po4a::Xml abhängt. Es definiert nur die übersetzbaren Markierungen (»Tags«) und Attribute.

Das einzige bekannte Problem ist, dass es noch nicht mit Entitäten umgehen kann. Hierzu gehören auch die Dateieinbindungsentitäten. Allerdings können Sie die meisten solcher Dateien einzeln übersetzten (außer den typischen Entitätendateien) und im Allgemeinen ist es auch besser, sie einzeln zu warten.

AUSSERKRAFTSETZEN DES VORGABEVERHALTENS MIT BEFEHLSZEILENOPTIONEN
Das Vorgabeverhalten der vom System bereitgestellten Module ist auf einen sicheren Wert eingestellt.

Beispielsweise ist die Vorgabe für die Markierung <author>, dass sie unter <para> erscheinen soll. Aber Sie könnten es nur unter <bookinfo> verwenden. In diesem Fall möchten Sie es vielleicht unabhängig für jeden Autor übersetzen.

Falls Sie das Vorgabeverhalten des XML-Moduls und seiner abgeleiteten Module nicht mögen, können Sie Befehlszeilenoptionen verwenden, um ihr Verhalten zu verändern. Beispielsweise können Sie Folgendes zu der Po4a-Konfigurationsdatei hinzuufügen:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Dies setzt das Vorgabeverhalten für <bookinfo> und <author> außer Kraft, setzt, dass <bookinfo> und <author> den Eingabedatenstrom bei diesen Merkierungen unterbrichen, setzt, dass <bookinfo> nicht seinen markierten Inhalt übersetzt und setzt, dass <author> seinen markierten Inhalt übersetzt.

SIEHE AUCH
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTOREN
 Jordi Vilalta <jvprat@gmail.com>

URHEBERRECHT UND LIZENZ
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GPL (siehe die Datei COPYING) vertreiben und/oder verändern.